﻿using System.Linq;
using Styx;
using Styx.WoWInternals.WoWObjects;

#region System Namespace

using System;

#endregion System Namespace

#region Foreign Namespace
#endregion Foreign Namespace

#region Styx Namespace

using Styx.Plugins;
using Styx.Common;
using Styx.WoWInternals;

#endregion Styx Namespace

namespace WowAnniversary
{
    public class WowAnniversary : HBPlugin
    {
        public override string Name { get { return "WowAnniversary"; } }
        public override string Author { get { return "Giwin"; } }
        public override Version Version { get { return new Version(1, 0); } }
        public override bool WantButton { get { return false; } }

        public override void Initialize()
        {
            Logging.Write(Name + " - Loaded Version " + Version);
            Lua.Events.AttachEvent("BAG_UPDATE", (sender, args) => Ninth());
            Lua.Events.AttachEvent("PLAYER_ALIVE", (sender, args) => Ninth());
        }

        public override void Pulse()
        {

        }

        public void Ninth()
        {
            if ((StyxWoW.Me.HasAura(132700)) &&
                (!StyxWoW.Me.HasAura(132700) || StyxWoW.Me.GetAuraById(132700).TimeLeft >= TimeSpan.FromMinutes(1)))
                return;
            if (!Item().Usable || StyxWoW.Me.HasAura("Drink") || StyxWoW.Me.HasAura("Food")) return;
            Item().Use();
        }

        public WoWItem Item()
        {
            return StyxWoW.Me.BagItems.FirstOrDefault(item => item != null && item.Entry == 90918);
        }
    }
}